/*
		   Image Viewer - Compile Time Configuration
 */

#ifndef CONFIG_H
#define CONFIG_H


/*
 *	Languages (define only one):
 */
#define PROG_LANGUAGE_ENGLISH		1
/* #define PROG_LANGUAGE_SPANISH	2 */
/* #define PROG_LANGUAGE_FRENCH		3 */
/* #define PROG_LANGUAGE_GERMAN		4 */
/* #define PROG_LANGUAGE_ITALIAN	5 */
/* #define PROG_LANGUAGE_DUTCH		6 */
/* #define PROG_LANGUAGE_NORWEGIAN	7 */
/* #define PROG_LANGUAGE_PORTUGUESE	8 */
/* #define PROG_LANGUAGE_POLISH		9 */


/*
 *	Program Name:
 */
#define PROG_NAME			"IV"
#define PROG_NAME_FULL			"Image Viewer"

/*
 *	Program Version:
 */
#define PROG_VERSION			"2.6.1"
#define PROG_VERSION_MAJOR		2
#define PROG_VERSION_MINOR		6
#define PROG_VERSION_RELEASE		1

/*
 *	Program URL:
 */
#define PROG_URL			"http://freshmeat.net/projects/iv"

/*
 *	Copyright Message:
 */
#if defined(PROG_LANGUAGE_SPANISH)
#define PROG_COPYRIGHT  "\
El derecho de autor (C) 2001-2009 WolfPack Entertainment.\n\
Este programa es protegido por leyes internacionales de derecho de autor\n\
y tratados, la distribucin y/o la modificacin de este software en la\n\
infraccin de la Licencia del Pblico de GNU se prohiben estrictamente.\n\
Violators ser procesado a la extensin ms repleta de la ley.\n"
#elif defined(PROG_LANGUAGE_FRENCH)
#define PROG_COPYRIGHT  "\
Dposer (C) 2001-2009 WolfPack Entertainment.\n\
Ce programme est protg par international dpose lois et traits, \n\
distribution et/ou de ce logiciel dans violation du GNU Public Permis\n\
strictement est interdit. Violators sera poursuivi  l'tendue plus pleine\n\
de la loi.\n"
#elif defined(PROG_LANGUAGE_GERMAN)
#define PROG_COPYRIGHT  "\
Urheberrecht (C) 2001-2009 WolfPack Entertainment.\n\
Dieses Programm wird von internationalem Urheberrecht Gesetzen und\n\
Vertrgen, Austeilung bzw. nderung dieser Software in bertretung\n\
DER GNU ffentlichkeit Erlaubnis streng verboten wird geschtzt.\n\
Verletzer werden zum vollsten Umfang des Gesetzes strafrechtlich\n\
verfolgt werden.\n"
#elif defined(PROG_LANGUAGE_ITALIAN)
#define PROG_COPYRIGHT  "\
Il copyright (C) 2001-2009 WolfPack Entertainment.\n\
Questo programma  protetto dalle leggi di copyright internazionali e\n\
dai trattati, la distribuzione e/o la modifica di questo software nella\n\
violazione dello GNU la Licenza Pubblica  strettamente proibita. Il\n\
Violators sar perseguito all'estensione la pi piena della legge.\n"
#elif defined(PROG_LANGUAGE_DUTCH)
#define PROG_COPYRIGHT  "\
Auteursrecht (C) 2001-2009 WolfPack Entertainment.\n\
Deze programma wordt door internationale auteursrecht wetten en\n\
verdragen, verdeling en/of wijziging van deze software in overtreding\n\
van de GNU Publiek Vergunning strikt verboden wordt beschermd.\n\
Overtreders zullen te de volste omvang van de wet geprocedeerd worden.\n"
#elif defined(PROG_LANGUAGE_PORTUGUESE)
#define PROG_COPYRIGHT  "\
Os direitos autorais (C) 2001-2009 WolfPack Entertainment.\n\
Este programa  protegido por direitos internacionais leis autorais e\n\
tratados, modificao de e/ou de distribuio deste software em infrao\n\
do GNU Licena Pblica precisamente  proibida. O Violators ser\n\
processado  plena extenso da lei.\n"
#elif defined(PROG_LANGUAGE_NORWEGIAN)
#define PROG_COPYRIGHT  "\
Copyright (C) 2001-2009 WolfPack Entertainment.\n\
Dette programet beskytter av internasjonal copyrightlover og traktater,\n\
distribusjon og/eller modifikasjon av denne programvaren i overtredelse\n\
av GNU Public License er streng forbudt. Violators tiltalt til den\n\
fulleste omfang av loven.\n"
#else
#define PROG_COPYRIGHT  "\
Copyright (C) 2001-2009 WolfPack Entertainment.\n\
This program is protected by international copyright laws and treaties,\n\
distribution and/or modification of this software in violation of the\n\
GNU Public License is strictly prohibited. Violators will be prosecuted\n\
to the fullest extent of the law.\n"
#endif

/*
 *	Program Usage Message:
 */
#define PROG_USAGE			"\
Usage: iv [file(s)...] [options] [GUI_options]\n\
\n\
    The [file(s)...] specifies the paths to the file(s) to open at\n\
    startup.\n\
\n\
    The [options] can be any of the following:\n\
\n\
	--frame=<n>             Specifies the frame to display at startup\n\
				(and disables playing at startup), where\n\
				<n> is the frame index. The default value\n\
				is 0.\n\
	-f=<n>                  Same as --frame.\n\
	-r                      Disables automatic window resizing when\n\
				opening a new image. Note that specifying\n\
				--geometry with a size will also disable\n\
				automatic window resizing.\n\
	-z                      Automatically adjusts the zoom when opening\n\
				a new image to fit the image in the current\n\
				size of the window. Note that you should\n\
				specify the size of the window with the\n\
				--geometry argument so that the size of the\n\
				window can be known in order for automatic\n\
				zoom to work properly.\n\
	-m                      Disable Tooltips.\n\
	-t                      Hide the Tool Bar.\n\
	-v                      Hide values.\n\
	-s                      Hide the Progress bar.\n\
	-i                      Show the current image on the Window\n\
				Manager (WM) icon (does not work properly\n\
				with some Window Managers).\n\
	-q=<n>                  Specifies the display quality, where <n>\n\
				can be; 0 for poor/fastest, 1 for\n\
				standard/optimul, or 2 for best/slowest.\n\
				The default value is 1.\n\
	-bg=<color>		Specifies the background color, where\n\
				<color> is the background color in\n\
				GdkColor specification. The default value\n\
				is #FFFFFF.\n\
	-b=<n>                  Specifies the Imlib fallback code, where\n\
				<n> can be; 0 for no fallback or 1 for\n\
				use Image Magick & NETPBM. The default\n\
				value is 1\n\
\n\
	--auto_hide_iv_nonimage Hide the Image Viewer window when a\n\
				non-image file is opened in the Data\n\
				Viewer.\n\
	-k                      Same as --auto_hide_iv_nonimage.\n\
\n\
	--screenshot            Map the Screenshot Dialog at startup\n\
				(may not be combined with opening images\n\
				at startup).\n\
	-g                      Same as --screenshot.\n\
\n\
	--fullscreen=<file>     Display the image <file> fullscreen,\n\
				waits for the user to respond, and then\n\
				exits.\n\
	-fs                     Same as --fullscreen.\n\
\n\
	--root-centered=<file>  Display the image <file> on the desktop\n\
				centered and then exits.\n\
	--root-tofit=<file>     Display the image <file> on the desktop\n\
				to fit and then exits.\n\
	--root-tocover=<file>   Display the image <file> on the desktop\n\
				to cover and then exits.\n\
	--root-tiled=<file>     Display the image <file> on the desktop\n\
				tiled and then exits.\n\
\n\
	--print=<file>          Map the Print Dialog to query the user\n\
				to print the image <file> and then exit.\n\
\n\
	--simple_title          Display the default non-image drawn\n\
				title at startup.\n\
\n\
	--help                  Prints this help screen and exits.\n\
	--version               Prints version information and exits.\n\
\n\
    [GUI_options] can be any of the following:\n\
\n\
	--geometry <WxH+X+Y>    Specifies the window's geometry.\n\
	--font <font>           Specifies the font to be used for\n\
				value labels.\n\
	--name <name>           Specifies the Window Manager window name.\n\
	--class <class>         Specifies the Window Manager window class.\n\
	--title <title>         Specifies the window's title.\n\
\n\
    Return values:\n\
\n\
	0       Success.\n\
	1       General error.\n\
	2       Invalid value, corrupt file, or no such file.\n\
	3       Systems error, memory allocation error, or out of disk\n\
		space.\n\
	4       User aborted.\n\
\n"


/*
 *	Default Save Option Values:
 */
#define IV_GIF_DEF_INTERLACED		FALSE
#define IV_GIF_DEF_COLOR_TYPE		2	/* 0 = B&W
						 * 1 = Greyscale
						 * 2 = Color */
#define IV_GIF_DEF_TRANSPARENCY		TRUE
#define IV_GIF_DEF_ALPHA_THRESHOLD	0x80
#define IV_GIF_DEF_LOOPING		TRUE

#define	IV_JPEG_DEF_QUALITY		0.75f	/* 0.0 to 1.0 */
#define IV_JPEG_DEF_IS_COLOR		TRUE

#define	IV_JNG_DEF_QUALITY		0.75f	/* 0.0 to 1.0 */
#define IV_JNG_DEF_IS_COLOR		TRUE
#define IV_JNG_DEF_TRANSPARENCY		TRUE

#define IV_MNG_DEF_COMPRESSION		6	/* 0 to 9 */
#define IV_MNG_DEF_FORMAT		4	/* 0 = B&W
						 * 1 = Greyscale
						 * 2 = Greyscale Alpha
						 * 3 = RGB
						 * 4 = RGBA */
#define IV_MNG_DEF_INTERLACED		FALSE
#define IV_MNG_DEF_LOOPING		TRUE

#define IV_PNG_DEF_COMPRESSION		6	/* 0 to 9 */
#define IV_PNG_DEF_FORMAT		4	/* 0 = B&W
						 * 1 = Greyscale
						 * 2 = Greyscale Alpha
						 * 3 = RGB
						 * 4 = RGBA */
#define IV_PNG_DEF_INTERLACED		FALSE

#define IV_TGA_DEF_FORMAT		2	/* 0 = Greyscale
						 * 1 = RGB
						 * 2 = RGBA */

#define IV_TIFF_DEF_COMPRESSION_TYPE	1	/* 0 = None
						 * 1 = GZIP
						 * 2 = JPEG
						 * 3 = CCITT RLE
						 * 4 = CCITT FAX3
						 * 5 = CCITT FAX4 */
#define IV_TIFF_DEF_JPEG_QUALITY	0.75f	/* 0.0 to 1.0 */
#define IV_TIFF_DEF_COLOR_TYPE		4	/* 0 = B&W
						 * 1 = Greyscale
						 * 2 = Greyscale Alpha
						 * 3 = RGB
						 * 4 = RGBA */

#define IV_XPM_DEF_FORMAT		2	/* 0 = B&W
						 * 1 = Greyscale
						 * 2 = Color */
#define IV_XPM_DEF_MAX_COLORS		256	/* -1 for no limit */
#define IV_XPM_DEF_THRESHOLD		0x80	/* 0x00 to 0xff */


/*
 *	Default Screenshot Values:
 */
#define IV_SCREENSHOT_DEF_DELAY		2000l	/* In milliseconds */
#define IV_SCREENSHOT_DEF_INCLUDE_DECORATIONS	\
					TRUE
#define IV_SCREENSHOT_DEF_HIDE_WINDOWS	FALSE
#define IV_SCREENSHOT_DEF_RECORD_DATE_IN_COMMENTS	\
					TRUE

/*
 *	Default Color Levels Values:
 */
#define IV_COLOR_LEVELS_DEF_ALL_FRAMES	FALSE

/*
 *	Default Add Text Values:
 */
#define IV_ADD_TEXT_DEF_FONT_NAME	"-adobe-helvetica-bold-r-normal-*-14-*-*-*-p-*-iso8859-1"
#define IV_ADD_TEXT_DEF_COLOR		{ 0, 0xffff, 0xffff, 0xffff }	/* GdkColor */
#define IV_ADD_TEXT_DEF_OUTLINE		TRUE
#define IV_IV_ADD_TEXT_DEF_OUTLINE_COLOR	\
					{ 0, 0x0000, 0x0000, 0x0000 }	/* GdkColor */
#define IV_ADD_TEXT_DEF_OPACITY		1.0f	/* 0.0 to 1.0 */
#define IV_ADD_TEXT_DEF_ALL_FRAMES	FALSE


/*
 *	Default Print Values:
 */
#define PRINT_DEF_COMMAND		"/usr/bin/lpr"
#define PRINT_DEF_FILE			"untitled.ps"


/* 
 *      Environment Variable Names:
 */
#define ENV_VAR_NAME_BROWSER		"BROWSER"
#define ENV_VAR_NAME_DISPLAY		"DISPLAY"
#define ENV_VAR_NAME_HELPBROWSER	"HELPBROWSER"
#define ENV_VAR_NAME_HOME		"HOME"
#define ENV_VAR_NAME_PATH		"PATH"
#define ENV_VAR_NAME_PRINTCMD		"PRINTCMD"
#define ENV_VAR_NAME_PRINT		"PRINT"
#define ENV_VAR_NAME_TMPDIR		"TMPDIR"
#define ENV_VAR_NAME_USER		"USER"
#define ENV_VAR_NAME_USERNAME		"USERNAME"


/*
 *	Cursor Blink Interval (in milliseconds):
 */
#define IV_CURSOR_BLINK_INT		400l


/*
 *	Widget Names:
 */
#define IV_WIDGET_NAME_IMAGE_VIEWER_TOPLEVEL	\
					"iv-image-viewer"
#define IV_WIDGET_NAME_DATA_VIEWER_TOPLEVEL	\
					"iv-data-viewer"
#define IV_WIDGET_NAME_DATA_VIEWER_TEXT	\
					"text"
#define IV_WIDGET_NAME_DATA_VIEWER_HEX	\
					"hex"


/*
 *	Drag & Drop Target Types:
 */
#define DND_INFO_TEXT_PLAIN		0	/* "text/plain" */
#define DND_INFO_TEXT_URI_LIST		1	/* "text/uri-list" */
#define DND_INFO_STRING			2	/* "STRING" */

#define IV_DND_TARGET_FRAME_INDEX	"IV/Frame/Index"
#define IV_DND_INFO_FRAME_INDEX		10


/*
 *	Default Progress Bar Ticks:
 */
#define IV_PROGRESS_BAR_DEF_TICKS	25


/*
 *	Default GtkCList Row Spacing:
 */
#define IV_CLIST_DEF_ROW_SPACING	20


/*
 *	Data Viewer Defaults:
 */
#define IV_DATA_VIEWER_DEF_WIDTH	640
#define IV_DATA_VIEWER_DEF_HEIGHT	480


#endif	/* CONFIG_H */
