/*
			 Image Information Dialog
 */

#ifndef IMG_INFO_DLG_H
#define IMG_INFO_DLG_H

#ifdef HAVE_LIBENDEAVOUR2
# include <endeavour2.h>
#endif
#include <gtk/gtk.h>


typedef struct _ImgInfoDlg		ImgInfoDlg;
#define IMG_INFO_DLG(p)			((ImgInfoDlg *)(p))


extern ImgInfoDlg *img_info_dlg_new(GtkWidget *ref_toplevel);
extern void img_info_dlg_set_values(
	ImgInfoDlg *d,
#ifdef HAVE_LIBENDEAVOUR2
	EDVContext *edv2_ctx,
#endif
	const guint8 *rgba,
	const gint width, const gint height,
	const gint bpp, const gint bpl,
	const gint nframes,
	const gint nloops,			/* -1 for infinite */
	const gulong play_time_ms,		/* Play time per loop in
						 * milliseconds */
	const gulong total_play_time_ms,	/* Total play time in
						 * milliseconds or (gulong)-1
						 * for infinite */
	const gint alpha_channel,		/* 0 = None
						 * 1 = Allocated But Uniform
						 * 2 = Allocated & Defined */
	const guint8 *bg_color,			/* 4 bytes RGBA */
	const gint x, const gint y,		/* Offset on base */
	const gint base_width,			/* Dimensions of base (can be 0 for no base) */
	const gint base_height,
	const gboolean has_changes,

	const gchar *file_name,
	const gchar *file_format,
	const gulong file_size,			/* File size in bytes */
	const gulong last_modified,		/* Last modified time in
						 * seconds since EPOCH */
	const gchar *title,
	const gchar *author,
	const gchar *creator,
	const gchar *comments,
	const gchar *display,			/* X Display address */
	const gchar *visual_type,		/* X Visual type */
	const gint display_depth		/* X Depth in bits per pixel */
);
extern gboolean img_info_dlg_is_mapped(ImgInfoDlg *d);
extern void img_info_dlg_map(ImgInfoDlg *d);
extern void img_info_dlg_unmap(ImgInfoDlg *d);
extern void img_info_dlg_delete(ImgInfoDlg *d);


#endif	/* IMG_INFO_DLG_H */
