/*
		      Image Viewer Title Image Loading

	This is in a separate module because the title image data is
	stored at compile time and keeping it in a separate module
	conserves the size of the binary and reduces compile time.
 */

#ifndef IV_TITLE_H
#define IV_TITLE_H

#include <gtk/gtk.h>
#include "imgview.h"


extern void iv_title_load_to_image_viewer(
	imgview_struct *iv,
#if defined(HAVE_IMLIB)
	gpointer imlib_handle,
#elif defined(HAVE_IMLIB2)
#endif
	const gboolean auto_resize,		/* Automatically resize the
						 * ImgView to the size of the
						 * title image */
	const gboolean auto_zoom_to_fit,	/* Automatically adjust the
						 * ImgView's zoom to fit the
						 * title image */
	const gboolean simple_title		/* Display a "less graphical"
						 * title image */
);


#endif	/* IV_TITLE_H */
