/*
			  IV Save Options Dialogs
 */

#ifndef SAVEDLG_H
#define SAVEDLG_H

#include <gtk/gtk.h>


/* GIF */
extern gint iv_save_options_gif_query(
	GtkWidget *ref_toplevel,
	const gchar *path,
	gboolean *interlaced,			/* FALSE = Progressive
						 * TRUE = Interlaced */
	gint *color_type,			/* 0 = Black & White 
						 * 1 = Greyscale
						 * 2 = Color Index */
	gboolean *transparency,			/* FALSE = No transparent color
						 * TRUE = Include transparent color */
	guint8 *alpha_threshold,		/* 0x00 to 0xFF */
	gboolean *looping			/* FALSE = No looping block
						 * TRUE = Write looping block */
);

/* JPEG */
extern gint iv_save_options_jpeg_query(
	GtkWidget *ref_toplevel,
	const gchar *path,
	gfloat *quality,			/* 0.0 to 1.0 */
	gboolean *is_color			/* FALSE = Greyscale
						 * TRUE = Color */
);

/* JNG */
extern gint iv_save_options_jng_query(
	GtkWidget *ref_toplevel,
	const gchar *path,
	gfloat *quality,			/* 0.0 to 1.0 */
	gboolean *is_color,			/* FALSE = Greyscale [Alpha]
						 * TRUE = RGB[A] */
	gboolean *transparency			/* FALSE = No alpha channel
						 * TRUE = Alpha channel */
);

/* MNG */
extern gint iv_save_options_mng_query(
	GtkWidget *ref_toplevel,
	const gchar *path,
	gint *compression,			/* 0 to 9 */
	gint *color_type,			/* 0 = Black & White
						 * 1 = Greyscale
						 * 2 = Greyscale Alpha
						 * 3 = RGB
						 * 4 = RGBA */
	gboolean *interlaced,			/* FALSE = Progressive
						 * TRUE = Interlaced */
	gboolean *looping			/* FALSE = Play once
						 * TRUE = Repeating */
);

/* PNG */
extern gint iv_save_options_png_query(
	GtkWidget *ref_toplevel,
	const gchar *path,
	gint *compression,			/* Value from 0 to 9 */
	gint *color_type,			/* 0 = Black & White
						 * 1 = Greyscale
						 * 2 = Greyscale Alpha
						 * 3 = RGB
						 * 4 = RGBA */
	gboolean *interlaced			/* FALSE = Progressive
						 * TRUE = Interlaced */
);

/* TGA */
extern gint iv_save_options_targa_query(
	GtkWidget *ref_toplevel,
	const gchar *path,
	gint *color_type			/* 0 = Greyscale
						 * 1 = RGB
						 * 2 = RGBA */

);

/* TIFF */
extern gint iv_save_options_tiff_query(
	GtkWidget *ref_toplevel,
	const gchar *path,
	gint *compression_type,			/* 0 = None
						 * 1 = GZIP
						 * 2 = JPEG
						 * 3 = CCITT RLE
						 * 4 = CCITT Group 3 Fax
						 * 5 = CCITT Group 4 Fax */
	gfloat *jpeg_quality,			/* 0.0 to 1.0 */
	gint *color_type			/* 0 = B&W
						 * 1 = Greyscale
						 * 2 = Greyscale Alpha
						 * 3 = RGB
						 * 4 = RGBA */
);

/* XPM */
extern gint iv_save_options_xpm_query(
	GtkWidget *ref_toplevel,
	const gchar *path,
	gchar **c_id,
	gint *color_type,			/* 0 = Black & White
						 * 1 = Greyscale
						 * 2 = Color Index */
	gint *max_colors,			/* -1 for no limit */
	guint8 *alpha_threshold			/* 0x00 to 0xFF */
);


#endif	/* SAVEDLG_H */
